Name:		qubes-mgmt-salt-dom0-qubes-infrastructure
Version:	2.0.9
Release:	1%{?dist}
Summary:	Manage Qubes OS infrastructure VMs

Group:		System administration tools
License:	GPL 2.0
BuildArch:  noarch
URL:		https://www.qubes-os.org/
Source:	%{name}-%{version}.tar.gz

Requires:	qubes-mgmt-salt
Requires:	qubes-mgmt-salt-dom0

# Turn off automatic python bytecompilation
%undefine py_auto_byte_compile

%description


%prep
%setup -q

%build

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} SYSCONFDIR=%{_sysconfdir}


%files
%defattr(-,root,root)
%doc LICENSE README.md
%attr(750, root, root) %dir /srv/formulas/base/qubes-infrastructure
/srv/formulas/base/qubes-infrastructure/README.md
/srv/formulas/base/qubes-infrastructure/LICENSE
/srv/formulas/base/qubes-infrastructure/build-infra

%attr(750, root, root) %dir /srv/pillar/base/build-infra
%config(noreplace) /srv/pillar/base/build-infra/init.sls
%config(noreplace) /srv/pillar/base/build-infra/logs.sls
%config(noreplace) /srv/pillar/base/build-infra/logs-kernel.sls
%config(noreplace) /srv/pillar/base/build-infra/logs-kernel-repo.sls
%config(noreplace) /srv/pillar/base/build-infra/build-vms.sls
%config(noreplace) /srv/pillar/base/build-infra/init.top

%config(noreplace) /etc/salt/minion.d/qubes-infrastructure.conf

%changelog
* Sat Sep 19 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-infrastructure.git

* Sat Sep 19 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 09c71b9
- version 2.0.9

* Sat Sep 19 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 370d8f5
- update qubes-builder submodule

* Sat Sep 19 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a0fa6d0
- builder-cleanup: cleanup apt archive too

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d1347c8
- Update travis

* Thu Jul 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eeb9f78
- version 2.0.8

* Thu Jul 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dfc9b0f
- Change cleanup service to weekly schedule

* Thu Jul 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 826fd6a
- Remove old kernel sources too

* Fri Jun 26 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c89f897
- version 2.0.7

* Fri Jun 26 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 594b34c
- Update Github hook IPs

* Thu Jun 25 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - bd8d606
- Allow another VM as netvm for sys-net

* Thu Jun 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6bdf633
- version 2.0.6

* Thu Jun 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aefc244
- Switch default template to fedora-31

* Thu Jun 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5a97a90
- Switch package deps to python3 where applicable

* Thu Jun 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0bb3475
- Update qubes-builder submodule

* Fri Feb 28 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6196681
- Update qubes-builder submodule

* Sat Feb 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 08365bc
- pillar: common file for repo definition for logs and build VMs

* Fri Feb 14 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d2f94ba
- version 2.0.5

* Fri Feb 14 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7a81d7c
- pillar: make repo definitions available globally

* Fri Feb 14 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 505cee6
- multiple logs: fix remaining previous prefix build-

* Thu Feb 13 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 8f390e5
- Preserve current github build-logs repository name

* Thu Feb 13 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e5045a3
- logs VM: renamed to 'logs-' based prefix

* Thu Feb 13 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7bb45b1
- ssh-proxy: add hosts provided by remote-hosts in pillar

* Thu Feb 13 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c0ff5be
- build-logs: fix git url

* Tue Feb 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 9b5515a
- spec: add pillar example for another logs VM

* Tue Feb 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 22024aa
- build-logs: git URL is assumed to be SSH

* Tue Feb 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2308eee
- Uniformize build logs prefix denomitation

* Tue Feb 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 22cecca
- Handle build logs VM per builder VM

* Thu Feb 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 21913c4
- version 2.0.4

* Thu Feb 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c0929d6
- update submodules: qubes-builder, qubes-builder-github

* Mon Feb 03 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 47015ab
- README: add webhooks formula comments

* Fri Jan 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 84a8d6f
- builder-cleanup: keep latest packages in qubes-packages-mirror-repo

* Sat Jan 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7e24840
- travis: switch to dom0 Fedora 31

* Sun Dec 08 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0456e93
- rpm: don't compile python scripts

* Sun Dec 08 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 995f0b9
- Update qubes-builder submodule

* Wed Nov 27 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e7bc081
- version 2.0.3

* Wed Nov 27 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 63dddcb
- Update builder dependencies (python2-sh -> python3-sh)

* Mon Nov 11 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1f328f8
- Remove User=user from user's systemd service

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 9b3ffc0
- travis: switch to bionic

* Mon Oct 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - be591dc
- version 2.0.2

* Mon Oct 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e2e6d6b
- Fixes

* Mon Oct 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1fda527
- version 2.0.1

* Mon Oct 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bf03f9c
- Fix master key import

* Mon Oct 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - df8848b
- Don't add empty newlines into builder list file

* Mon Oct 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1053a0c
- Fix state id conflict in build-ssh-ssh-proxy

* Sun Oct 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f77f93d
- travis: switch to xenial, drop R3.2

* Sun Oct 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4c2155a
- version 2.0.0

* Sun Oct 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ab2326d
- Update submodules

* Sun Oct 06 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4ef1c15
- travis: switch to xenial and drop R3.2

* Sun Oct 06 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3a69c72
- Fixes from Marek's comments

* Thu Sep 26 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b8ac26f
- build-vms: handle mirror ssh key if present in pillar

